> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List



## OpenAPI

````yaml /openapi_v4_core.json get /v4/core/webhook-logs
openapi: 3.0.0
info:
  title: Commenda Integrations V4 API
  description: Commenda Integrations — unified accounting, commerce, and CRM API.
  version: 4.0.0
  contact: {}
servers:
  - url: https://api.integrations.commenda.io
    description: Production
security:
  - api_key: []
tags: []
paths:
  /v4/core/webhook-logs:
    get:
      tags:
        - WebhookLog
      summary: List
      operationId: WebhookLogController_list
      parameters:
        - name: limit
          required: true
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: number
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: state
          required: false
          in: query
          schema:
            type: string
            enum:
              - PENDING
              - FAILED
              - PROCESSING
              - DELIVERED
        - name: fromDate
          required: false
          in: query
          schema:
            type: string
        - name: toDate
          required: false
          in: query
          schema:
            type: string
        - name: webhookId
          required: false
          in: query
          schema:
            minimum: 1
            type: number
        - name: syncId
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListWebhookLogsResponse'
components:
  schemas:
    ListWebhookLogsResponse:
      type: object
      properties:
        webhookLogs:
          type: array
          items:
            $ref: '#/components/schemas/SerializedWebhookLog'
        count:
          type: number
        next:
          type: object
      required:
        - webhookLogs
        - count
    SerializedWebhookLog:
      type: object
      properties:
        id:
          type: string
        webhookName:
          type: string
        webhookUrl:
          type: string
        state:
          type: string
          enum:
            - PENDING
            - PROCESSING
            - DELIVERED
            - FAILED
        latestStatusCode:
          type: object
        attemptCount:
          type: number
        eventType:
          type: object
        integration:
          type: string
          enum:
            - BUSY
            - CLEARBOOKS
            - FREEAGENT
            - FRESHBOOKS
            - KASHFLOW
            - MEKARI_JURNAL
            - MS_DYNAMICS_365
            - MS_DYNAMICS_365_FO
            - MYOB_BUSINESS
            - NETSUITE
            - ODOO_ACCOUNTING
            - QOYOD
            - QUICKBOOKS
            - QUICKBOOKS_SANDBOX
            - ROOTFI_SANDBOX
            - SAGE_CLOUD_ACCOUNTING
            - SAGE_ZA_CLOUD_ACCOUNTING
            - SAGE_INTACCT
            - TALLY
            - WAFEQ
            - WAVE
            - XERO
            - ZOHO_BOOKS
            - PUZZLE_SANDBOX
            - PUZZLE
            - RILLET
            - RILLET_SANDBOX
            - AMAZON
            - BIG_COMMERCE
            - SHOPIFY
            - SQUARESPACE
            - WIX
            - WOO_COMMERCE
            - GOOGLE_PLAYSTORE
            - CHARGEBEE
            - MOLLIE
            - PAYPAL
            - PAYPAL_SANDBOX
            - RAZORPAY
            - SQUARE
            - SQUARE_SANDBOX
            - STRIPE
            - STRIPE_TEST
            - STRIPE_SANDBOX
            - ZOHO_INVOICE
            - PADDLE
            - PADDLE_SANDBOX
            - HUBSPOT
            - PIPEDRIVE
            - SALES_FORCE
            - ZOHO_CRM
            - GUSTO
        syncId:
          type: object
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - webhookName
        - webhookUrl
        - state
        - attemptCount
        - createdAt
        - updatedAt
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: api_key
      description: Your Commenda Integrations API key, sent in the `api_key` header.

````